unit unitformsplash;

(* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Lightning splash screen.
 *
 * The Initial Developer of the Original Code is
 * Tomsoft.
 * Portions created by Tomsoft are Copyright (C) 2009
 * Tomsoft. All Rights Reserved.
 *
 * Contributor(s):
 *   Tommy Sools <tom@sools.com>
 *
 * ***** END LICENSE BLOCK ***** *)

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TformSplash = class(TForm)
    imageSplash: TImage;
    labelVersion: TLabel;
    labelCopyright: TLabel;
    labelModules: TLabel;
    labelDLOP: TLabel;
    labelLUA: TLabel;
    labelComponents: TLabel;
    labelModulesFile: TLabel;
    labelComponentsFile: TLabel;
    labelLUAFile: TLabel;
    labelDLOPFile: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formSplash: TformSplash = nil;

implementation

{$R *.dfm}

uses
  unitlightningsettings;

procedure TformSplash.FormCreate(Sender: TObject);
begin
  labelVersion.Caption := 'V ' + lightningVersion;
end;

end.
